<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        caption="msg://userProfileEdit.caption"
        focusComponent="form">
    <data>
        <instance id="userProfileDc"
                  class="com.company.management.entity.registrationdb.UserProfile">
            <fetchPlan extends="_base">
                <property name="actStatus" fetchPlan="_base"/>
                <property name="identificationType" fetchPlan="_base"/>
                <property name="userType" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="userProfileDl"/>
        </instance>
        <collection id="rtTypesIDTypeDc" class="com.company.management.entity.RtType">
            <fetchPlan extends="_base">
                <property name="typeGroup" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="rtTypesIDTypeDl">
                <query>
                    <![CDATA[select e from RtType e]]>
                </query>
            </loader>
        </collection>
        <collection id="activationStatusesDc" class="com.company.management.entity.registrationdb.ActivationStatus">
            <fetchPlan extends="_base"/>
            <loader id="activationStatusesDl">
                <query>
                    <![CDATA[select e from ActivationStatus e]]>
                </query>
            </loader>
        </collection>
        <collection id="userAddressesDc" class="com.company.management.entity.registrationdb.UserAddress"
                    fetchPlan="_base">
            <loader id="userAddressesDl">
                <query>
                    <![CDATA[select e from UserAddress e
                    where e.user = :user1
                    order by e.createdDate desc]]>
                </query>
            </loader>
        </collection>
        <collection id="userBanksDc" class="com.company.management.entity.registrationdb.UserBank">
            <fetchPlan extends="_base"/>
            <loader id="userBanksDl">
                <query>
                    <![CDATA[select e from UserBank e
                    where e.user = :user1
                    order by e.createdDate desc]]>
                </query>
            </loader>
        </collection>
        <collection id="userTiersDc" class="com.company.management.entity.registrationdb.UserTier">
            <fetchPlan extends="_base">
                <property name="kycStatus" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="userTiersDl">
                <query>
                    <![CDATA[select e from UserTier e
                    where e.user = :user1
                    and e.currentTier = :currentTier1]]>
                </query>
            </loader>
        </collection>
        <collection id="kycStatusesDc" class="com.company.management.entity.registrationdb.KycStatus">
            <fetchPlan extends="_base"/>
            <loader id="kycStatusesDl">
                <query>
                    <![CDATA[select e from KycStatus e
                    where e.code <> :code1
                    order by e.code asc]]>
                </query>
            </loader>
        </collection>
        <collection id="kycStatusesDc1" class="com.company.management.entity.registrationdb.KycStatus">
            <fetchPlan extends="_base"/>
            <loader id="kycStatusesDl1">
                <query>
                    <![CDATA[select e from KycStatus e
                    where e.code = :code1]]>
                </query>
            </loader>
        </collection>
        <collection id="kycStatusesDc2" class="com.company.management.entity.registrationdb.KycStatus">
            <fetchPlan extends="_base"/>
            <loader id="kycStatusesDl2">
                <query>
                    <![CDATA[select e from KycStatus e]]>
                </query>
            </loader>
        </collection>
        <instance id="activityLogDc" class="com.company.management.entity.ActivityLog">
            <fetchPlan extends="_base"/>
            <loader id="activityLogDl"/>
        </instance>
        <collection id="activityLogFilesDc" class="com.company.management.entity.ActivityLogFile">
            <fetchPlan extends="_base"/>
            <loader id="activityLogFilesDl">
                <query>
                    <![CDATA[select e from ActivityLogFile e
                    where e.activityLog = :activityLog1]]>
                </query>
            </loader>
        </collection>
        <collection id="userEmploymentDc" class="com.company.management.entity.registrationdb.UserEmployment">
            <fetchPlan extends="_base">
                <property name="employmentStatus" fetchPlan="_base"/>
                <property name="user" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="userEmploymentDl">
                <query>

                    <![CDATA[select e from UserEmployment e
                    where e.user = :user1]]>

                </query>
            </loader>
        </collection>

        <collection id="statutoryDetailsDc" class="com.company.management.entity.registrationdb.StatutoryDetail">
            <fetchPlan extends="_base">
                <property name="user" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="statutoryDetailsDl">
                <query>

                    <![CDATA[select e from StatutoryDetail e
                    where e.user = :user1]]>

                </query>
            </loader>
        </collection>

        <collection id="financialSourcesDc" class="com.company.management.entity.registrationdb.FinancialSource">
            <fetchPlan extends="_base">
                <property name="user" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="financialSourcesDl">
                <query>

                    <![CDATA[select e from FinancialSource e
                    where e.user = :user1]]>

                </query>
            </loader>
        </collection>
        <collection id="userVerificationDc" class="com.company.management.entity.registrationdb.UserVerification">
            <fetchPlan extends="_base">
                <property name="nsResult" fetchPlan="_base"/>
                <property name="user" fetchPlan="_base">
                    <property name="userType" fetchPlan="_base"/>
                </property>
            </fetchPlan>
            <loader id="userVerificationDl">
              <query>

                  <![CDATA[select e from UserVerification e

                  where e.user = :user1

                  order by e.overalVerificationResult.createdDate desc]]>

              </query>
            </loader>
        </collection>

    <collection id="fatcaCRSDc" class="com.company.management.entity.registrationdb.FatcaCrsDeclaration">
        <fetchPlan extends="_base">
            <property name="declaration" fetchPlan="_base"/>
            <property name="user" fetchPlan="_base"/>
        </fetchPlan>
        <loader id="fatcaCRSDl">
            <query>
                <![CDATA[select distinct e from FatcaCrsDeclaration e
                where e.user = :user1
                order by e.createdDate desc]]>
            </query>
        </loader>
    </collection>
    <collection id="fatcaCRSDTODc" class="com.company.management.entity.FatcaCRSDTO">
        <fetchPlan extends="_base"/>
        <loader id="fatcaCRSDTODl">
            <query>
                <![CDATA[select e from FatcaCRSDTO e]]>
            </query>
        </loader>
    </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="scrollBox">
        <scrollBox id="scrollBox" spacing="true" responsive="true">
            <form id="form" dataContainer="userProfileDc" width="AUTO" responsive="true" align="TOP_LEFT">
<!--                    <label stylename="bold h3" value="msg://Edit Individual Account"/>-->
                <vbox id="personalDetailsContainer" stylename="category-container">
                    <hbox id="personalDetailsHeader">
                        <button id="togglePersonalDetails" caption="−" width="30px"/>
                        <label stylename="bold h3" value="msg://Personal Details"/>
                    </hbox>
                    <vbox id="personalDetails" spacing="true">
                            <hbox id="fullNameLine" spacing="true">
                                <textField id="fullNameField" dataContainer="userProfileDc" property="fullName"  editable="false" caption="msg://Full Name" stylename="h4 bold"/>
                                <textField id="nationalityField2" dataContainer="userProfileDc" property="nationality" editable="false" caption="msg://Nationality" stylename="h4 bold"/>
                            </hbox>
                            <hbox spacing="true" id="idDetails" visible="true">
                                <vbox spacing="true">
                                    <entityPicker id="identificationTypeField" property="identificationType" dataContainer="userProfileDc" editable="false" caption="msg://ID Type">
                                        <actions>
                                            <action id="entityLookup" type="entity_lookup"/>
                                            <action id="entityClear" type="entity_clear"/>
                                        </actions>
                                    </entityPicker>
                                    <valuePicker id="identificationTypeValuePicker" dataContainer="userProfileDc"
                                    property="identificationType.name" visible="false">
                                        <actions>
                                            <action id="generate" icon="REFRESH"/>
                                        </actions>
                                    </valuePicker>
                                </vbox>
                                <vbox spacing="true">
                                    <textField id="identificationNoField" property="identificationNo" dataContainer="userProfileDc" editable="false" caption="msg://ID No."/>
                                </vbox>
                            </hbox>
                            <hbox id="dateOfBirthLine">
<!--                                <dateField id="dobField" dataContainer="userProfileDc" property="birthday" editable="false" caption="msg://Date of Birth"/>-->
                            </hbox>
                    </vbox>
                </vbox>

                <vbox id="contactDetailsContainer" stylename="category-container">
                    <hbox id="contactDetailsHeader">
                        <button id="toggleContactDetails" caption="−" width="30px"/>
                        <label stylename="bold h3" value="msg://Contact Details"/>
                    </hbox>


                    <!-- Category 2: Contact Details -->
                    <vbox spacing="true">
                        <hbox id="emailAddressLine" spacing="true">
                            <textField id="emailField" property="email" dataContainer="userProfileDc" editable="false" caption="msg://Email Address"/>
                            <textField id="phoneNumberField" property="phoneNumber" dataContainer="userProfileDc" editable="false" stylename="h4 bold" caption="msg://Phone No."/>
                        </hbox>
                        <hbox id="homeNoLine" spacing="true">
                            <textField id="homeNumberField" dataContainer="userProfileDc" property="homeNumber" editable="false" caption="msg://Home No."/>
                            <textField id="officeNumberField" dataContainer="userProfileDc" property="officeNumber" editable="false" caption="msg://Office No."/>
                        </hbox>
                    </vbox>
                </vbox>

                <vbox id="emailStatus" visible="false">
                    <textField id="emailVerificationStatus" dataContainer="userProfileDc"
                               property="emailVerified" caption="msg://Email Verification Status"
                               editable="false" stylename="borderless"/>
                </vbox>

                <!-- Category 3: Residential Address -->
                <vbox id="residentialAddressContainer" stylename="category-container">
                    <hbox id="residentialAddressHeader">
                        <button id="toggleResidentialAddress" caption="−" width="30px"/>
                        <label stylename="bold h3" value="msg://Residential Address"/>
                    </hbox>
                        <vbox spacing="true" id="residentialAddress">
                            <vbox spacing="true" id="add1">
                                <textField id="addressLineOneResi" editable="false" stylename="h4 bold" caption="Address Line 1"/>
                            </vbox>

                            <vbox spacing="true" id="add2">
                                <textField id="addressLineTwoResi" editable="false" stylename="h4 bold" caption="msg://Address Line 2"/>
                            </vbox>

                            <hbox spacing="true" id="post">
                                <vbox spacing="true">
                                    <textField id="postcodeResi" editable="false" stylename="h4 bold" caption="msg://Postcode"/>
                                </vbox>
                                <vbox spacing="true" id="city">
                                    <textField id="townResi" editable="false" caption="msg://City" stylename="h4 bold"/>
                                </vbox>
                            </hbox>
                            <hbox spacing="true" id="stateCountry">
                                <vbox spacing="true">
                                    <textField id="stateResi" editable="false" caption="msg://State" stylename="h4 bold"/>
                                </vbox>
                                <vbox spacing="true" id="country">
                                    <textField id="countryDataResi" editable="false" caption="msg://Country" stylename="h4 bold"/>
                                </vbox>
                            </hbox>
                        </vbox>
                </vbox>

                <!-- Category 4: Mailing Address -->
                <vbox id="mailingAddressContainer" stylename="category-container">
                    <hbox id="mailingAddressHeader">
                        <button id="toggleMailingAddress" caption="−" width="30px"/>
                        <label stylename="bold h3" value="msg://Mailing Address"/>
                    </hbox>
                        <vbox spacing="true" id="mailingAddress">
                            <vbox spacing="true" id="add1Mail">
                                <textField id="addressLineOneMail" editable="false" stylename="h4 bold" caption="Address Line 1"/>
                            </vbox>

                            <vbox spacing="true" id="add2Mail">
                                <textField id="addressLineTwoMail" editable="false" stylename="h4 bold" caption="msg://Address Line 2"/>
                            </vbox>

                            <hbox spacing="true" id="postMail">
                                <vbox spacing="true">
                                    <textField id="postcodeMail" editable="false" stylename="h4 bold" caption="msg://Postcode"/>
                                </vbox>
                                <vbox spacing="true" id="cityMail">
                                    <textField id="townMail" editable="false" caption="msg://City" stylename="h4 bold"/>
                                </vbox>
                            </hbox>
                            <hbox spacing="true" id="stateCountryMail">
                                <vbox spacing="true">
                                    <textField id="stateMail" editable="false" caption="msg://State" stylename="h4 bold"/>
                                </vbox>
                                <vbox spacing="true" id="countryMail">
                                    <textField id="countryDataMail" editable="false" caption="msg://Country" stylename="h4 bold"/>
                                </vbox>
                            </hbox>
                        </vbox>
                    </vbox>

                <!-- Category 5: Employment Details -->
                <vbox id="employmentDetailsContainer" stylename="category-container">
                    <hbox id="employmentDetailsHeader">
                        <button id="toggleEmploymentDetails" caption="−" width="30px"/>
                        <label stylename="bold h3" value="msg://Employment Details"/>
                    </hbox>
                    <vbox id="innerEmploymentContainer">
                        <form id="employmentDetailsForm" responsive="true" align="TOP_LEFT" width="AUTO">
                            <hbox spacing="true">
                                <textField id="employmentDetails" editable="false" caption="msg://Employment Details"/>
                                <textField id="employerName" visible="false" editable="false" caption="msg://Employer's Name"/>
                                <textField id="previousEmployerName" visible="false" editable="false" caption="msg://Past Employer's Name"/>
                                <textField id="businessName" visible="false" editable="false" caption="msg://Business Name"/>
                            </hbox>
                            <hbox spacing="true">
                                <textField id="position" visible="false" editable="false" caption="msg://Position"/>
                                <textField id="natureBusiness" visible="false" editable="false" caption="msg://Nature of Business"/>
                            </hbox>
                            <hbox spacing="true">
                                <textField id="countryTaxResidence" visible="false" editable="false" caption="msg://Country of Tax Residence"/>
                            </hbox>
                        </form>
                    </vbox>
                </vbox>

                <!-- Category 6: Business Purpose and Fund and Wealth Sources -->
                <vbox id="bpfwsContainer" stylename="category-container">
                    <hbox id="bpfwsDetailsHeader">
                        <button id="toggleBpfws" caption="−" width="30px"/>
                        <label stylename="bold h3" value="msg://Business Purpose and Fund and Wealth Sources"/>
                    </hbox>
                    <vbox id="innerbpfwsContainer">
                        <form id="businessPurpose" responsive="true" align="TOP_LEFT" width="AUTO">
                            <hbox spacing="true">
                                <textField id="purposeAccountTransaction" editable="false" caption="msg://Purpose of Account or Transaction"/>
                            </hbox>
                            <hbox spacing="true">
                                <textField id="expectedVolume" editable="false" caption="msg://Expected Volume of Monthly Transactions"/>
                                <textField id="expectedNumber" editable="false" caption="msg://Expected Number of Monthly Transaciton"/>
                            </hbox>
                            <hbox spacing="true">
                                <textField id="sourceFunds" editable="false" caption="msg://Source of Funds"/>
                                <textField id="otherSourceFunds" visible="false" editable="false" caption="msg://Other Source of Funds"/>
                            </hbox>
                            <hbox spacing="true">
                                <textField id="sourceWealth" editable="false" caption="msg://Source of Wealth"/>
                                <textField id="otherSourceWealth" visible="false" editable="false" caption="msg://Other Source of Wealth"/>
                            </hbox>
                        </form>
                    </vbox>
                </vbox>

                <!-- Category 8: FATCA CRS -->
                <vbox id="fatcaCRSContainer" stylename="category-container">
                    <hbox id="fatcaCRSHeader">
                        <button id="toggleFatcaCRS" caption="−" width="30px"/>
                        <label stylename="bold h3" value="msg://FATCA &amp; CRS"/>
                    </hbox>
                    <vbox spacing="true"/>
                    <vbox id="innerFatcaCRS">
                        <form id="fatcaCRS" responsive="true" align="TOP_LEFT" width="AUTO">
                            <vbox spacing="true" id="fatca1">
                                <table id="fatcaCRSTable" dataContainer="fatcaCRSDTODc" columnControlVisible="false" columnHeaderVisible="false">
                                    <columns>
                                        <column id="agreed"/>
                                        <column id="declaration"/>
                                    </columns>
                                </table>
                            </vbox>
                        </form>
                    </vbox>
                </vbox>

                <!-- Category 8: Bank Information -->
                <vbox id="bankInformationContainer" stylename="category-container">
                    <hbox id="bankInformationHeader">
                        <button id="toggleBankInformation" caption="−" width="30px"/>
                        <label stylename="bold h3" value="msg://Bank Information"/>
                    </hbox>
                    <vbox id="innerBankContainer">
                        <form id="bankInformation" responsive="true" align="TOP_LEFT" width="AUTO">
                            <hbox spacing="true" id="bankFN">
                                <vbox spacing="true">
                                    <textField id="bankName" editable="false" caption="msg://Bank" stylename="h4 bold"/>
                                </vbox>
                                <vbox spacing="true" id="bankAN">
                                    <textField id="bankAccount" editable="false" stylename="h4 bold" caption="msg://Bank Account No."/>
                                </vbox>
                            </hbox>
                        </form>
                    </vbox>
                </vbox>

                <!-- Category 9: BGD Account Information -->
                <vbox id="bgdAccountInformationContainer" spacing="true">
                    <hbox id="bgdAccountInformationHeader" stylename="category-container">
                        <button id="toggleBgdAccountInformation" caption="−" width="30px"/>
                        <label stylename="bold h3" value="msg://BGD Account Information"/>
                    </hbox>
                    <vbox id="innerBgdContainer">
                        <form id="bgdAccount" responsive="true" align="TOP_LEFT" width="AUTO">
                            <vbox spacing="true">
                                <textField id="kycStatus" caption="msg://e-KYC Status"
                                           editable="false"/>
                                <textField id="nameScreeningStatus" caption="msg://Name Screening Status"
                                           editable="false"/>
                                <textField id="riskProfilingStatus" caption="msg://Risk Profiling Status"
                                           editable="false"/>
                            </vbox>
                            <vbox spacing="true">
                                <hbox spacing="true">
                                    <textField id="bgdID" editable="false" caption="msg://BGD ID"/>
                                    <textField id="accountStatus" editable="false" stylename="h4 bold" caption="msg://Account Status"/>
                                </hbox>
                            </vbox>
                            <vbox spacing="true">
                                <hbox spacing="true">
                                    <textField id="createdAccountDate" editable="false" caption="msg://Created Tradable Account Date"/>
                                    <textField id="closingAccountDate" editable="false" caption="msg://Closing Tradable Account Date"/>
                                </hbox>
                            </vbox>
                            <vbox spacing="true">
                                <hbox spacing="true" id="statusKYCAAANNN">
                                    <textField id="tier" editable="false" caption="msg://Tier Level"/>
                                    <textField id="tierStatus" editable="false" stylename="h4 bold" caption="msg://Tier Status"/>
                                </hbox>
                            </vbox>
                        </form>
                    </vbox>
                </vbox>

                <!-- Category 9: Onboarding Approval -->
                <vbox id="onboardingApprovalContainer" stylename="category-container" visible="false">
                    <hbox id="onboardingApprovalHeader">
                        <button id="toggleOnboardingApproval" caption="−" width="30px"/>
                        <label stylename="bold h3" value="msg://Onboarding Approval"/>
                    </hbox>
                    <vbox id="innerOnboardingContainer" spacing="true">
                        <label stylename="bold h4" value="msg://Maker Status"/>
                        <label stylename="h4" value="msg://Timestamp"/>
                    </vbox>
                </vbox>

                <vbox id="temporaryCode">
<!--                                                                                                                                <hbox spacing="true" id="statusKYCAN">-->
<!--                                                                                                                                    <vbox spacing="true" id="statusKYCAAANNN">-->
<!--                                                                                                                                        <textField id="statuskyc" editable="false" stylename="h4 bold" caption="msg://Status"/>-->
<!--                                                                                                                                    </vbox>-->
<!--                                                                                                                                </hbox>-->
                                                                                                                        <!--                    <label stylename="bold h4" value="msg://KYC Information" id="kycInfo"/>-->
                                                                                                                        <!--                        <hbox spacing="true" id="imageKYC">-->
                                                                                                                        <!--                                    <vbox spacing="true">-->
                                                                                                                        <!--                                        <groupBox spacing="true">-->
                                                                                                                        <!--                                            <image id="originalImage" height="400px" width="300px"-->
                                                                                                                        <!--                                                   responsive="true"-->
                                                                                                                        <!--                                                   alternateText="Selfie Image is not being uploaded"-->
                                                                                                                        <!--                                                   scaleMode="CONTAIN"/>-->
                                                                                                                        <!--                                            <label value="msg://Original Image" stylename="bold h4"/>-->
                                                                                                                        <!--                                        </groupBox>-->
                                                                                                                        <!--                                    </vbox>-->
                                                                                                                        <!--                                    <vbox spacing="true">-->
                                                                                                                        <!--                                        <groupBox spacing="true">-->
                                                                                                                        <!--                                            <image id="kycImage" height="400px" width="300px" responsive="true"-->
                                                                                                                        <!--                                                   alternateText="ID Front Image is not being uploaded"-->
                                                                                                                        <!--                                                   scaleMode="CONTAIN"/>-->
                                                                                                                        <!--                                            <label value="msg://KYC Image" stylename="bold h4"/>-->
                                                                                                                        <!--                                        </groupBox>-->
                                                                                                                        <!--                                    </vbox>-->
                                                                                                                        <!--                                    <vbox spacing="true"/>-->
                                                                                                                        <!--                                    <vbox spacing="true" align="MIDDLE_CENTER">-->
                                                                                                                        <!--                                        <groupBox spacing="true">-->
                                                                                                                        <!--                                            <label value="msg://Similarity" stylename="bold h3"/>-->
                                                                                                                        <!--                                            <label stylename="bold h3" id="similarityKYC" align="MIDDLE_CENTER" value="0%"/>-->
                                                                                                                        <!--                                        </groupBox>-->
                                                                                                                        <!--                                    </vbox>-->
                                                                                                                        <!--                                    <vbox spacing="true"/>-->
                                                                                                                        <!--                                    <vbox spacing="true"/>-->
                                                                                                                        <!--                                    <vbox spacing="true"/>-->
                                                                                                                        <!--&lt;!&ndash;                                </groupBox>&ndash;&gt;-->
                                                                                                                        <!--                        </hbox>-->
                                                                                                                        <hbox spacing="true" id="verificationBox" align="MIDDLE_CENTER" responsive="true" visible="false">
                                                                                                                            <vbox spacing="true">
                                                                                                                                <groupBox id="verification" height="400px" width="300px" spacing="true"
                                                                                                                                          align="MIDDLE_CENTER">
                                                                                                                                    <vbox spacing="true" align="MIDDLE_CENTER" id="bankVbox">
                                                                                                <!--                                        <label stylename="bold h4" value="msg://1st Ambank Party Validation"-->
                                                                                                <!--                                               align="TOP_CENTER"/>-->
                                                                                                <!--                                        <textField id="payNetVerification" editable="false" align="TOP_CENTER"/>-->
                                                                                                                                        <label stylename="bold h4" value="msg://1st Ambank Validation Details"
                                                                                                                                               align="MIDDLE_CENTER"/>
                                                                                                                                        <textArea id="ambankResponse" editable="false" align="MIDDLE_CENTER"/>
                                                                                                                                    </vbox>
                                                                                                                                    <vbox spacing="true" align="MIDDLE_CENTER">
                                                                                                                                        <label stylename="bold h4" value="msg://Approval" align="BOTTOM_CENTER"/>
                                                                                                <!--                                        <groupBox spacing="true" align="MIDDLE_CENTER">-->
                                                                                                                                            <radioButtonGroup dataContainer="userTiersDc" property="kycStatus"
                                                                                                                                                              orientation="horizontal"
                                                                                                                                                           id="approveCheckBox" align="TOP_CENTER" optionsContainer="kycStatusesDc2"/>
                                                                                                <!--                                        </groupBox>-->
                                                                                                                                        <entityComboBox id="approvalStatusEntity" dataContainer="userTiersDc" property="kycStatus"
                                                                                                                                                        align="BOTTOM_CENTER"
                                                                                                                                                        visible="false">
                                                                                                                                            <actions>
                                                                                                                                                <action id="clear" type="entity_clear"/>
                                                                                                                                            </actions>
                                                                                                                                        </entityComboBox>
                                                                                                                                    </vbox>
                                                                                                                                </groupBox>
                                                                                                                            </vbox>
                                                                                                                        </hbox>
                                                                                                                    <vbox spacing="true" id="emaillVerifiedAN" visible="false">
                                                                                                                        <textField id="emailVerified" editable="false" stylename="h4 bold" caption="msg://Is Email Verified?"/>
                                                                                                                        <button id="sendEmail" caption="msg://Send Email Verification" visible="false"/>
                                                                                                                    </vbox>

</vbox>

                <vbox id="remarksContainer" visible="false">
                    <textArea id="remarksFieldId" dataContainer="activityLogDc" property="requestRemarks"
                              caption="msg://remarksFieldId.caption" required="true"/>
                    <label id="uploadDocuments" value="msg://Upload Document(s)" stylename="h4"/>
                    <fileMultiUpload id="fileUpload" permittedExtensions=".pdf" accept="*.pdf" fileSizeLimit="5000000"/>
                    <groupTable id="uploadFileTable" dataContainer="activityLogFilesDc" width="100%"
                                columnHeaderVisible="false">
                        <actions>
                            <action id="remove" type="remove" visible="false"/>
                        </actions>
                        <columns>
                            <column id="fileUpload"/>
                            <column id="deleteFileUpload" caption="Action"/>
                        </columns>
                    </groupTable>

                <vbox id="fileTypes" width="350px" visible="false">
                    <label value="msg://Supported file types: PDF, PNG, JPG"/>
                    <label value="msg://Maximum file size: 5MB"/>
                </vbox>
              </vbox>

            </form>
        </scrollBox>
        <hbox id="editActions" spacing="true">
            <button id="commitAndCloseBtn" css="background-color: #357EF2;color: #ffffff" caption="msg://OK" icon="OK"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>